## org.apache.lucene.benchmark.byTask.feeds
Interface HTMLParser

All Known Implementing Classes:
  DemoHTMLParser

    public interface HTMLParser

HTML Parsing Interface for test purposes

Method Summary
`DocData` `parse(DocData docData, java.lang.String name, java.util.Date date, java.io.Reader reader, java.text.DateFormat dateFormat)` Parse the input Reader and return DocData.
`DocData` `parse(DocData docData, java.lang.String name, java.util.Date date, java.lang.StringBuffer inputText, java.text.DateFormat dateFormat)` Parse the inputText and return DocData.

Method Detail

### parse

    DocData parse(DocData docData,
                  java.lang.String name,
                  java.util.Date date,
                  java.io.Reader reader,
                  java.text.DateFormat dateFormat)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Parse the input Reader and return DocData. A provided name or date is used for the result, otherwise an attempt is made to set them from the parsed data.

  Parameters:
    `dateFormat` - date formatter to use for extracting the date.
    `name` - name of the result doc data. If null, attempt to set by parsed data.
    `date` - date of the result doc data. If null, attempt to set by parsed data.
    `reader` - of html text to parse.
  Returns:
    Parsed doc data.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### parse

    DocData parse(DocData docData,
                  java.lang.String name,
                  java.util.Date date,
                  java.lang.StringBuffer inputText,
                  java.text.DateFormat dateFormat)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Parse the inputText and return DocData.

  Parameters:
    `inputText` - the html text to parse.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `parse(DocData, String, Date, Reader, DateFormat)`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.